### Function: ModifyMaxHP(spawn, value)

**Description:**
Sets the Maximum HP of the Spawn to the value provided.

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `value` (sint32) - Integer value `value`.

**Returns:** None.

**Example:**

```lua
ModifyMaxHP(NPC, 10000)
```
